#! /bin/bash

## source: https://trac.osgeo.org/osgeolive/wiki/building_the_docs
sudo apt install cmake git
sudo -H pip install sphinx

# if an 2.7 python environnement is needed
#conda create -n docbuild27 python=2.7 anaconda
#source activate docbuild27

## Download the files
cd ~
git clone https://github.com/cvvergara/OSGeoLive-doc

cd ~/OSGeoLive-doc/

## change branch
git checkout develop 

# Clean previous build
if [ -d build ]; then
  rm -Rf build/
fi

mkdir build
cd build
cmake -DHTML=ON .. 
make html

## english doc files are available in /home/niko/OSGeoLive-doc/build/doc/_build/html
